import request from '@/utils/request'

const menuApi = {
  add: 'sys/menu/add',
  get: 'sys/menu/get',
  update: 'sys/menu/update',
  del: 'sys/menu/delete',
  updateStatus: 'sys/menu/updateStatus',
  list: 'sys/menu/listByParentId'
}

export function menuAdd (params) {
  return request({
    url: menuApi.add,
    method: 'post',
    data: params
  })
}
export function menuGet (params) {
  return request({
    url: menuApi.get,
    method: 'post',
    data: params
  })
}
export function menuUpdate (params) {
  return request({
    url: menuApi.update,
    method: 'post',
    data: params
  })
}
export function menuDelete (params) {
  return request({
    url: menuApi.del,
    method: 'post',
    data: params
  })
}
export function menuList (params) {
  return request({
    url: menuApi.list,
    method: 'post',
    data: params
  })
}
export function menuUpdateStatus (params) {
  return request({
    url: menuApi.updateStatus,
    method: 'post',
    data: params
  })
}
